<div class="container">
  <div class="top-page">
    <span class="title">Net Confining Stress Calculator</span>
    <div class="cover-radio">
      <span class="text-radio">unit</span>
      <mat-radio-group aria-label="Select an option" [(ngModel)]="txtUnit" (change)="changeValueFeetToMeter($event)">
        <mat-radio-button value="ft">Feet</mat-radio-button>
        <mat-radio-button value="m">Meters</mat-radio-button>
      </mat-radio-group>
    </div>
    <div class="top-btn">
      <div class="box-export">
        <span class="title-export">export to</span>
        <a href="javascript:;" class="click-export" (click)="downloadCsv()">
          <fa-icon class="export-icon pdf-icon" [icon]="['fas', 'file-csv']" [styles]="{ color: '#6E9700' }"></fa-icon>
        </a>
        <a href="javascript:;" class="click-export" (click)="downloadPdf()">
          <fa-icon class="export-icon csv-icon" [icon]="['fas', 'file-pdf']" [styles]="{ color: '#D61600' }"></fa-icon>
        </a>
      </div>
      <!-- end/box export -->
      <button mat-button class="btn-calculator" [disabled]="!showBtnCalculator" (click)="showCalculator()">
        Calculate
      </button>
    </div>
    <!-- end/top btn -->
  </div>
  <div class="group-content">
    <div class="cover-content">
      <div class="top-content">
        <span class="title-box">Well Name</span>
        <div class="cover-top">
          <div class="input-here">
            <pvt-dropdown [data]="optionsWellName" (callback)="callbackDropdown($event)" [hasFiltering]="true">
            </pvt-dropdown>
          </div>
          <!-- end/input here -->
          <div class="box-edit">
            <ul class="list-edit">
              <li>
                <span class="name-input">OB Gradient</span>
                <div class="input-here show-unit" [ngClass]="{ 'is-invalid': showError && !dataInputs.obGradient }">
                  <input type="text" [(ngModel)]="dataInputs.obGradient" xrdOnlyNumber />
                  <span class="txt-unit">PSI/ft</span>
                </div>
              </li>
              <!-- end/cover input -->
              <li>
                <span class="name-input">Poisson’s Ratio</span>
                <div class="input-here" [ngClass]="{ 'is-invalid': showError && !dataInputs.poissonSRatio }">
                  <input type="text" [(ngModel)]="dataInputs.poissonSRatio" xrdOnlyNumber />
                </div>
              </li>
              <!-- end/cover input -->
              <li>
                <span class="name-input">Pore Pressure Gradient</span>
                <div
                  class="input-here show-unit"
                  [ngClass]="{ 'is-invalid': showError && !dataInputs.porePressureGradient }"
                >
                  <input type="text" [(ngModel)]="dataInputs.porePressureGradient" xrdOnlyNumber />
                  <span class="txt-unit">PSI/ft</span>
                </div>
              </li>
              <!-- end/cover input -->
              <li>
                <span class="name-input">Fract. Gradient</span>
                <div class="input-here show-unit" [ngClass]="{ 'is-invalid': showError && !dataInputs.fractGradient }">
                  <input type="text" [(ngModel)]="dataInputs.fractGradient" xrdOnlyNumber />
                  <span class="txt-unit">PSI/ft</span>
                </div>
              </li>
              <!-- end/cover input -->
              <li>
                <span class="name-input">Biot’s α</span>
                <div
                  class="input-here"
                  [ngClass]="{
                    'is-invalid': showError && !dataInputs.biotsAlpha
                  }"
                >
                  <input type="text" [(ngModel)]="dataInputs.biotsAlpha" xrdOnlyNumber />
                </div>
              </li>
              <!-- end/cover input -->
            </ul>
            <!-- end/list edit -->
          </div>
          <!-- end/box edit -->
        </div>
        <!-- end/cover top -->
        <div class="box-increment">
          <span class="name-list">Increment By</span>
          <mat-form-field>
            <mat-select placeholder="-- Select --" [(value)]="selectedIncrementBy" disableRipple>
              <mat-option
                class="option-right"
                *ngFor="let option of optionsIncrementBy"
                [value]="txtUnit === 'ft' ? option.value : (option.value / 3.2808).toFixed(2)"
              >
                {{ txtUnit === 'ft' ? option.value : (option.value / 3.2808 | number: '1.2-2') }}
                {{ txtUnit }}
              </mat-option>
            </mat-select>
          </mat-form-field>
        </div>
        <div class="box-range">
          <div class="cover-top-title" *ngIf="dataInputs.depths.length > 0">
            <span class="name-list">Depth</span>
            <mat-checkbox [(ngModel)]="showRange" (change)="changeValueRange($event)">Range</mat-checkbox>
          </div>
          <ul
            class="list-ranger"
            *ngFor="let depth of dataInputs.depths; let i = index"
            [ngClass]="{ 'show-range': showRange }"
          >
            <li class="box-start-range">
              <ncs-input-range
                [showError]="showError"
                [incrementBy]="selectedIncrementBy"
                [value]="showRange ? depth.from : depth.depth"
                [unit]="txtUnit"
                (callback)="callbackRangeStart($event, i)"
              >
              </ncs-input-range>
            </li>
            <li class="box-end-range">
              <ncs-input-range
                [showError]="showError"
                [incrementBy]="selectedIncrementBy"
                [value]="showRange ? depth.to : depth.depth"
                [unit]="txtUnit"
                (callback)="callbackRangeEnd($event, i)"
              >
              </ncs-input-range>
              <span class="line-space"></span>
            </li>
            <li class="wrapper-all">
              <div class="box-edit">
                <ul class="list-edit">
                  <li>
                    <span class="name-input">OB Gradient</span>
                    <div class="input-here show-unit" [ngClass]="{ 'is-invalid': showError && !depth.obGradient }">
                      <input type="text" [(ngModel)]="depth.obGradient" xrdOnlyNumber />
                      <span class="txt-unit">PSI/ft</span>
                    </div>
                  </li>
                  <!-- end/cover input -->
                  <li>
                    <span class="name-input">Poisson’s Ratio</span>
                    <div class="input-here" [ngClass]="{ 'is-invalid': showError && !depth.poissonSRatio }">
                      <input type="text" [(ngModel)]="depth.poissonSRatio" xrdOnlyNumber />
                    </div>
                  </li>
                  <!-- end/cover input -->
                  <li>
                    <span class="name-input">Pore Pressure Gradient</span>
                    <div
                      class="input-here show-unit"
                      [ngClass]="{ 'is-invalid': showError && !depth.porePressureGradient }"
                    >
                      <input type="text" [(ngModel)]="depth.porePressureGradient" xrdOnlyNumber />
                      <span class="txt-unit">PSI/ft</span>
                    </div>
                  </li>
                  <!-- end/cover input -->
                  <li>
                    <span class="name-input">Fract. Gradient</span>
                    <div class="input-here show-unit" [ngClass]="{ 'is-invalid': showError && !depth.fractGradient }">
                      <input type="text" [(ngModel)]="depth.fractGradient" xrdOnlyNumber />
                      <span class="txt-unit">PSI/ft</span>
                    </div>
                  </li>
                  <!-- end/cover input -->
                  <li>
                    <span class="name-input">Biot’s α</span>
                    <div class="input-here" [ngClass]="{ 'is-invalid': showError && !depth.biotsAlpha }">
                      <input type="text" [(ngModel)]="depth.biotsAlpha" xrdOnlyNumber />
                    </div>
                  </li>
                  <!-- end/cover input -->
                </ul>
                <!-- end/list edit -->
                <a
                  href="javascript:;"
                  class="click-remove"
                  (click)="removeDepthRowFunc(i)"
                  *ngIf="dataInputs.depths.length > 1"
                >
                  <fa-icon
                    class="remove-icon minus-icon"
                    [icon]="['fas', 'minus-circle']"
                    size="lg"
                    [styles]="{ color: '#006ED2' }"
                  >
                  </fa-icon>
                </a>
              </div>
              <!-- end/box edit -->
            </li>
          </ul>
          <a href="javascript:;" class="click-add-range" (click)="addDepthFunc()">
            <fa-icon class="add-icon plus-icon" [icon]="['fas', 'plus-circle']"></fa-icon> Add Depth
            {{ showRange ? 'Range' : '' }}
          </a>
        </div>
        <div class="content-loading" *ngIf="isLoading">
          <gng-spinner></gng-spinner>
        </div>
        <!-- end/box range -->
        <div class="box-table">
          <span class="line-top"></span>
          <ncs-table-net-confining-stress *ngIf="showTableCalculator" [data]="dataCalculator.results" [unit]="txtUnit">
          </ncs-table-net-confining-stress>
        </div>
      </div>
      <!-- end/top content -->
    </div>
    <!-- end/cover-content -->
  </div>
  <!-- end/group-content -->
</div>
<!-- end/container -->
